\tolerance1000

\font\tenlogo=logo10 %font used for the METAFONT logo
\def\MF{{\tenlogo META}\-{\tenlogo FONT}}
\def\LaTeX{L\kern-.3em{\setbox\bone=\hbox{T}%
\vbox to\ht\bone{\hbox{\sevenrm A}\vss}}\kern-.15em\TeX}
\def\AmS{$\cal A\kern-.1667em\lower.5ex\hbox{$\cal M$}\kern-.125emS$}

\def\{\dsk }
\def\{\dsk }
\def\{\dsk }
\def\{\dsk }
\def\{\dsk \dsk }
\def\{\dsk \dsk }

\def\liti#1{\pdfstartlink attr{/Border [0 0 0]} 
user{/Subtype /Link /A << /Type /Action /S /GoTo  /D [105 /Fit]>>}[#1]%
\pdfendlink}

%pagelist accumulation and extraction macros
\openout\outone=out.it_l.ht

\newcount\chaplim\chaplim37
\newcount\chapno\chapno0
\def\RuLS#1{\ifcase#1{}\or \or \or \or \or \or \or \else \fi}

\def\thead#1{\bigskip
  \centerline{\ifnum0<\chapno
      \ifnum\chaplim>\chapno{}\the\chapno. %
      \else{\advance\chapno-\chaplim  \RuLS\chapno. }\fi
    \fi\bf #1}\nobreak
  \write\outone{#1}\nobreak
  \write\outone{\the\pageno}\nobreak\advance\chapno1\smallskip}
\def\dthead#1#2{\bigskip
  \write\outone{#1}\write\outone{#2}%
  \centerline{\the\chapno. \bf #1}\nobreak
  \centerline{\bf #2}\nobreak
  \write\outone{\the\pageno}\advance\chapno1\nobreak\smallskip}
\def\getHI{\read\inone to\HT
  \ifcat\par\HT\incontinuefalse
  \else
    \read\inone to\HP\setbox\bone\hbox{\HP}%
    \ifnum\ctwo=\chaplim%
%      \vskip10pt plus10pt
       \eject
      \centerline{\hbox to .92\hsize{\hskip 12pt\quad
         \bf \hfill}}%
    \fi
    \ifdim\wd\bone<30pt%
      \centerline{\hbox to .97\hsize{\hbox to 12pt{\hss
         \ifnum\ctwo>0%
            \ifnum\ctwo<\chaplim{}\bf\the\ctwo
            \else{\advance\ctwo-\chaplim\tenssbx\RuLS\ctwo}\fi
         \fi}\quad
         \cthree\HP\ifnum\cthree>55\advance\cthree2\fi
         \pdfstartlink attr{/Border [0 0 0]} 
user{/Subtype /Link /A << /Type /Action /S /GoTo  /D [\the\cthree /Fit]>>}\HT\dotfill\HP
         \pdfendlink}}%
    \else
      \centerline{\hbox to .97\hsize{\hbox to 12pt{\hss\bf\the\ctwo}\quad
        \HT\hfill}}\vskip0pt plus1pt%
      \read\inone to\HT
      \centerline{\hbox to .97\hsize{\hskip12pt\quad
         \cthree\HT\ifnum\cthree>55\advance\cthree2\fi
         \pdfstartlink attr{/Border [0 0 0]} 
user{/Subtype /Link /A << /Type /Action /S /GoTo  /D [\the\cthree /Fit]>>}\HP\dotfill\HT
         \pdfendlink}}%
    \fi\vskip0pt plus1pt
    \advance\ctwo1\incontinuetrue
  \fi}

\let\xwrt#% suppress doubling of # in \write 
\newwrite\outtwo\openout\outtwo=out.it_l.ans
\newcount\ec\ec0
\def\execise{\medskip\noindent
  $\blacktriangleright$ \advance\ec1{\bf  \number\ec}\par
  \nobreak\noindent}
\def\wrans#1{\rm\immediate\write\outtwo{{\bf \number\ec.} #1}}
\def\shans{\read\inone to\A\par\A
  \ifcat\par\A \incontinuefalse \else\incontinuetrue\fi}

\openout\outzero=out.it_l.ci
\def\GT#1#2{\par\noindent\hangindent20pt\strut#1\quad#2\strut}
\def\CI#1{\write\outzero{#1 \the\pageno}}
\def\xCI#1{{\it #1\/}\CI{#1}}
\def\wCI#1#2{\CI{#1 #2}{\it #1\/}}

\def\getCI{\read\inone to\HT
  \ifeof\inone\incontinuefalse
  \else
    \HT\incontinuetrue
  \fi}

\newwrite\outthree
\openout\outthree=out.it_l.ni
\def\NI#1{\write\outthree{#1 \the\pageno}}

\hyphenation{Post-Script MIC-RO-SOFT -- --- -----}

\def\pdx{\pdfrefximage\pdflastximage}
